aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.VerifyEmailIdentity

Synopsis

- data VerifyEmailIdentity = VerifyEmailIdentity Text
- data VerifyEmailIdentityResponse = VerifyEmailIdentityResponse

# Documentation

data VerifyEmailIdentity Source #

List email addresses and/or domains

Constructors

VerifyEmailIdentity Text |

#### Instances

Instances details

SignQuery VerifyEmailIdentity Source # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type ServiceConfiguration VerifyEmailIdentity |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ServiceConfiguration VerifyEmailIdentity = SesConfiguration

Methods

signQuery :: VerifyEmailIdentity -> ServiceConfiguration VerifyEmailIdentity queryType -> SignatureData -> SignedQuery Source #

Show VerifyEmailIdentity Source # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity Methods showsPrec :: Int -> VerifyEmailIdentity -> ShowS Source # show :: VerifyEmailIdentity -> String Source # showList :: [VerifyEmailIdentity] -> ShowS Source #
Eq VerifyEmailIdentity Source # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity Methods (==) :: VerifyEmailIdentity -> VerifyEmailIdentity -> Bool Source # (/=) :: VerifyEmailIdentity -> VerifyEmailIdentity -> Bool Source #
Ord VerifyEmailIdentity Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Methods

compare :: VerifyEmailIdentity -> VerifyEmailIdentity -> Ordering Source #

(<) :: VerifyEmailIdentity -> VerifyEmailIdentity -> Bool Source #

(<=) :: VerifyEmailIdentity -> VerifyEmailIdentity -> Bool Source #

(>) :: VerifyEmailIdentity -> VerifyEmailIdentity -> Bool Source #

(>=) :: VerifyEmailIdentity -> VerifyEmailIdentity -> Bool Source #

max :: VerifyEmailIdentity -> VerifyEmailIdentity -> VerifyEmailIdentity Source #

min :: VerifyEmailIdentity -> VerifyEmailIdentity -> VerifyEmailIdentity Source #

ResponseConsumer VerifyEmailIdentity VerifyEmailIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type ResponseMetadata VerifyEmailIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ResponseMetadata VerifyEmailIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyEmailIdentity -> IORef (ResponseMetadata VerifyEmailIdentityResponse) -> HTTPResponseConsumer VerifyEmailIdentityResponse Source #

Transaction VerifyEmailIdentity VerifyEmailIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity
type ServiceConfiguration VerifyEmailIdentity Source # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ServiceConfiguration VerifyEmailIdentity = SesConfiguration

data VerifyEmailIdentityResponse Source #

The response sent back by Amazon SES after a `VerifyEmailIdentity` command.

Constructors

VerifyEmailIdentityResponse |

#### Instances

Instances details

AsMemoryResponse VerifyEmailIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type MemoryResponse VerifyEmailIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type MemoryResponse VerifyEmailIdentityResponse = VerifyEmailIdentityResponse

Methods

loadToMemory :: VerifyEmailIdentityResponse -> ResourceT IO (MemoryResponse VerifyEmailIdentityResponse) Source #

Show VerifyEmailIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity Methods showsPrec :: Int -> VerifyEmailIdentityResponse -> ShowS Source # show :: VerifyEmailIdentityResponse -> String Source # showList :: [VerifyEmailIdentityResponse] -> ShowS Source #
Eq VerifyEmailIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity Methods (==) :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Bool Source # (/=) :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Bool Source #
Ord VerifyEmailIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Methods

compare :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Ordering Source #

(<) :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Bool Source #

(<=) :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Bool Source #

(>) :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Bool Source #

(>=) :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> Bool Source #

max :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse Source #

min :: VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse -> VerifyEmailIdentityResponse Source #

ResponseConsumer VerifyEmailIdentity VerifyEmailIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type ResponseMetadata VerifyEmailIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ResponseMetadata VerifyEmailIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyEmailIdentity -> IORef (ResponseMetadata VerifyEmailIdentityResponse) -> HTTPResponseConsumer VerifyEmailIdentityResponse Source #

Transaction VerifyEmailIdentity VerifyEmailIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity
type MemoryResponse VerifyEmailIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type MemoryResponse VerifyEmailIdentityResponse = VerifyEmailIdentityResponse
type ResponseMetadata VerifyEmailIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ResponseMetadata VerifyEmailIdentityResponse = SesMetadata